FS-6972 Packaging a version of the python ESL wrapper for python.

v1.6
Federico Castro 7 years ago
parent d262f07d0f
commit e5d247df29
  1. 11
      debian/bootstrap.sh
  2. 2
      debian/python-esl.install
  3. 2
      debian/rules

@ -306,7 +306,7 @@ Build-Depends:
# configure options
libssl-dev, unixodbc-dev, libpq-dev,
libncurses5-dev, libjpeg62-turbo-dev | libjpeg62-dev | libjpeg8-dev,
python-dev, erlang-dev,
python-dev, python-all-dev, python-support (>= 0.90), erlang-dev,
# documentation
doxygen,
# for APR (not essential for build)
@ -366,6 +366,15 @@ Description: Cross-Platform Scalable Multi-Protocol Soft Switch
.
This package contains the FreeSWITCH core library.
Package: python-esl
Section: python
Architecture: any
Depends: \${shlibs:Depends}, \${misc:Depends}, \${python:Depends}
Description: Cross-Platform Scalable Multi-Protocol Soft Switch
$(debian_wrap "${fs_description}")
.
This package contains the FreeSWITCH core library.
Package: freeswitch-meta-bare
Architecture: any
Depends: \${misc:Depends}, freeswitch (= \${binary:Version})

@ -0,0 +1,2 @@
usr/lib/python*/*-packages/_ESL.so
usr/lib/python*/*-packages/ESL.py

2
debian/rules vendored

@ -84,6 +84,7 @@ override_dh_auto_configure: .stamp-configure
.stamp-build: .stamp-configure
@$(call show_vars)
make -j$(NJOBS)
make -C libs/esl pymod
touch $@
override_dh_auto_build: .stamp-build
@ -96,6 +97,7 @@ override_dh_strip:
override_dh_auto_install:
dh_auto_install
dh_auto_install -- -C libs/esl pymod-install
mkdir -p debian/tmp/lib/systemd/system
install -m0644 debian/freeswitch-systemd.freeswitch.service debian/tmp/lib/systemd/system/freeswitch.service

Loading…
Cancel
Save